﻿using System;
using System.Configuration;

namespace sjtu.wcf.demo.client.configs
{
    public static class ConfigHelper
    {
        private static string _ServiceTypeName;
        private static string _AssemblyName;
      
        private static string _CallType;

        public static string CallType
        {
            get
            {
                if (String.IsNullOrEmpty(_CallType))
                {
                    _CallType = ConfigurationManager.AppSettings["CallType"];
                }
                return _CallType;
            }
        }
       
        public static string AssemblyName
        {
            get
            {
                if (String.IsNullOrEmpty(_AssemblyName))
                {
                    _AssemblyName = ConfigurationManager.AppSettings["AssemblyName"];
                }
                return _AssemblyName;
            }
        }

        public static string ServiceTypeName
        {
            get
            {
                if (String.IsNullOrEmpty(_ServiceTypeName))
                {
                    _ServiceTypeName = ConfigurationManager.AppSettings["ServiceTypeName"];
                }
                return _ServiceTypeName;
            }
        }
    }
}
