﻿using System.Collections.Generic;
using System.ServiceModel;
using sjtu.wcf.demo.contract.DataContracts;

namespace sjtu.wcf.demo.contract.ServiceContracts
{
    [ServiceContract(Namespace=NamespaceDefine.ServiceContractNamespace)]
    public interface ITeacher
    {
        /// <summary>
        /// 根据姓名得到Teacher对象
        /// </summary>
        /// <param name="teacherName"></param>
        /// <returns></returns>
        [OperationContract]
        IList<Teacher> GetTeachers(string teacherName);
    }
}
