﻿using System;
using System.ServiceModel;
using sjtu.wcf.demo.implementation;

namespace sjtu.wcf.demo.host
{
    class Program
    {
        static void Main(string[] args)
        {
            using (ServiceHost host = new ServiceHost(typeof(DemoService)))
            {
                host.Open();
                Console.WriteLine("服务已经启动，监听地址：");
                foreach (var s in host.BaseAddresses)
                {
                    Console.WriteLine(s);
                }
                Console.ReadKey();
            }
        }
    }
}
