﻿using System;
using sjtu.wcf.demo.contract.ServiceContracts;
using System.ServiceModel;

namespace sjtu.wcf.demo.client
{
    class Program
    {
        static void Main()
        {
            try
            {
                var students = new WcfClient<IStudent>().Call(c => c.GetStudents("jerry"));

                foreach (var stu in students)
                {
                    Console.WriteLine(stu.Name + "/" + stu.ClassNo);
                }

                var teachers = new WcfClient<ITeacher>().Call(c => c.GetTeachers("tom"));

                foreach (var tea in teachers)
                {
                    Console.WriteLine(tea.Name + "/" + tea.Sex);
                }
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }

            Console.ReadKey();
        }
    }
}
