﻿using System.Collections.Generic;
using System.ServiceModel;
using sjtu.wcf.demo.contract.DataContracts;

namespace sjtu.wcf.demo.contract.ServiceContracts
{
    [ServiceContract(Namespace = NamespaceDefine.ServiceContractNamespace)]
    public interface IStudent
    {
        /// <summary>
        /// 根据姓名得到Student对象
        /// </summary>
        /// <param name="studentName"></param>
        /// <returns></returns>
        [OperationContract]
        IList<Student> GetStudents(string studentName);
    }
}
